﻿#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
from ipdbv4 import IPDBv4
from ipdbv6 import IPDBv6

def isipv6(s):
	return s.find(":") != -1

def err(s):
	errstr = u"""{"code":-1,"data":"%s"}""" % s
	return errstr

def query(ip):
	dirpath = os.path.dirname(__file__);
	if dirpath == "":
		dirpath = ".";
	#db4 = IPDBv4(dirpath + "/qqwry.db")
	db6 = IPDBv6(dirpath + "/ipv6wry.db")

	if isipv6(ip):
		#(i1, i2, oqip, o1, o2) = db6.getIPAddr(ip, db4)
		(i1, i2, oqip, o1, o2) = db6.getIPAddr(ip, None)
	else:
		(i1, i2, oqip, o1, o2) = db4.getIPAddr(ip)

	oqip = oqip.replace("\"", "\\\"");
	o1 = o1.replace("\"", "\\\"");
	o2 = o2.replace("\"", "\\\"");
	outstr = u"""{"code":0,"data":{
"myip":"%s","ip":{"start":"%s","end":"%s"},
"location":"%s","country":"%s","local":"%s"
}}
""" % (ip, i1, i2, oqip, o1, o2)
	return outstr

#print(query("2406:840::1"))
print(query("2409:8960:cfc:2206:407d:5ae2:de2d:f994"))

